<?php
// Include database connection
include('mysqli_connect.php');

if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['name'], $_POST['category'], $_POST['price'], $_POST['quantity'], $_POST['description'], $_FILES['image'])) {
    $name = mysqli_real_escape_string($dbc, trim($_POST['name']));
    $category = mysqli_real_escape_string($dbc, trim($_POST['category']));
    $price = (float)$_POST['price'];
    $quantity = (int)$_POST['quantity'];
    $description = mysqli_real_escape_string($dbc, trim($_POST['description']));

    // Directory for uploading images
    // Path to the existing 'images' directory Reference: https://www.php.net/manual/en/language.constants.predefined.php
    $target_dir = __DIR__ . "/images/"; 
    // Combine the target directory and the basename of the uploaded file: https://www.php.net/manual/en/function.basename.php
    $target_file = $target_dir . basename($_FILES['image']['name']);
    
    // Initialize a flag to determine whether the upload should proceed: https://www.php.net/manual/en/language.types.boolean.php
    $uploadOk = true;

    // Check if file is an image
    // Check the uploaded file's MIME type and dimensions to verify it is an image: https://www.php.net/manual/en/function.getimagesize.php
    $check = getimagesize($_FILES['image']['tmp_name']);
    
    // https://www.php.net/manual/en/function.getimagesize.php
    if ($check === false) {
        echo "<p>File is not an image.</p>";
        $uploadOk = false;
    }

    // Move uploaded file to the images directory: Reference: https://www.php.net/manual/en/features.file-upload.php
    if ($uploadOk && move_uploaded_file($_FILES['image']['tmp_name'], $target_file)) {
        // Store the relative path to the database (e.g., "images/filename.jpg")
        $image_url = "images/" . basename($_FILES['image']['name']);

        // Insert data into the database
        $query = "INSERT INTO product (name, category, price, quantity, description, image_url) VALUES ('$name', '$category', $price, $quantity, '$description', '$image_url')";

        if (mysqli_query($dbc, $query)) {
            echo "<p>Product added successfully!</p>";
        } else {
            echo "<p>Error adding product: " . mysqli_error($dbc) . "</p>";
        }
    } else {
        echo "<p>Sorry, there was an error uploading your file.</p>";
    }
}
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Add Product</title>
    <style>
        body {
            background-image: url('images/bacon_chevy.jpeg');
            background-size: cover;
            background-repeat: no-repeat;
            background-attachment: fixed;
        }
    </style>

</head>
<body>
    <h1>Add New Product</h1>
    <form method="POST" action="" enctype="multipart/form-data">
        <label for="name">Product Name:</label>
        <input type="text" id="name" name="name" required><br><br>

        <label for="category">Category:</label>
        <input type="text" id="category" name="category" required><br><br>

        <label for="price">Price:</label>
        <input type="number" id="price" name="price" step="0.01" required><br><br>

        <label for="quantity">Quantity:</label>
        <input type="number" id="quantity" name="quantity" required><br><br>

        <label for="description">Description:</label>
        <textarea id="description" name="description" required></textarea><br><br>

        <label for="image">Product Image:</label>
        <input type="file" id="image" name="image" accept="image/*" required><br><br>

        <button type="submit">Add Product</button>
    </form>
</body>
</html>
