<?php
// Start a new session or resume the existing session
session_start();
include('mysqli_connect.php');

// Check if the POST parameters exist
if (!isset($_POST['username']) || !isset($_POST['password'])) {
    header("Location: login_form.php?error=1");
    exit();
}

// Get input and sanitize to prevent SQL Injection
$username = mysqli_real_escape_string($dbc, trim($_POST['username']));
$password = mysqli_real_escape_string($dbc, trim($_POST['password']));

// Check if the username and password are not empty
if (empty($username) || empty($password)) {
    header("Location: login_form.php?error=1");
    exit();
} 

// Construct a query to check if the user exists and matches the credentials
$query = "SELECT user_name, is_admin FROM users WHERE user_name = '$username' AND password = SHA2('$password', 256)";

// Execute the query
$result = mysqli_query($dbc, $query);

// Check if exactly one user matches the credentials and fetch the user's details: Reference: https://www.php.net/manual/en/mysqli-result.num-rows.php
if (mysqli_num_rows($result) == 1) {
    $user = mysqli_fetch_assoc($result);
    $_SESSION['username'] = $user['user_name'];
    $_SESSION['is_admin'] = $user['is_admin'];

    // Redirect based on admin status
    if ($user['is_admin'] == 1) {
        header("Location: secret_page_admin.php");
    } else {
        header("Location: secret_page.php");
    }
    exit();
} else {
    // If no user is found, redirect back to the login form with an error parameter
    header("Location: login_form.php?error=1");
    exit();
}
?>
