<?php
include('mysqli_connect.php');

// Check if the 'keyword' parameter exists and is not empty
if (!isset($_GET['keyword']) || trim($_GET['keyword']) === '') {
    echo "<p style='color: red;'>Please enter a keyword to search for products.</p>";
    exit();
}

// Get and sanitize the keyword from the URL parameter
$keyword = mysqli_real_escape_string($dbc, trim($_GET['keyword']));

// Query to search for products with names matching the keyword
$query = "SELECT * FROM product WHERE name LIKE '%$keyword%'";

// Execute the query
$result = mysqli_query($dbc, $query);

// Check if any products were found: Reference: https://www.php.net/manual/en/mysqli-result.num-rows.php
if (mysqli_num_rows($result) > 0) {
    echo "<h1>Search Results</h1>";
    // Loop through the results and display each product
    while ($row = mysqli_fetch_assoc($result)) {
        echo "<div style='display: flex; align-items: flex-start; margin-bottom: 20px; border: 1px solid #ccc; padding: 10px;'>";
        
        // Display product image
        echo "<div>";
        echo "<img src='" . htmlspecialchars($row['image_url']) . "' alt='" . htmlspecialchars($row['name']) . "' style='width: 400px; height: 300px; margin-right: 20px;'>";
        echo "</div>";
        
        // Display product details
        echo "<div>";
        echo "<h3>" . htmlspecialchars($row['name']) . "</h3>";
        echo "<p><strong>Category:</strong> " . htmlspecialchars($row['category']) . "</p>";
        echo "<p><strong>Price:</strong> $" . htmlspecialchars($row['price']) . "</p>";
        echo "<p><strong>Quantity:</strong> " . htmlspecialchars($row['quantity']) . "</p>";
        echo "<p><strong>Description:</strong> " . htmlspecialchars($row['description']) . "</p>";
        echo "</div>";
        
        echo "</div>";
    }
} else {
    // Display a message if no products match the search keyword
    echo "<p style='color: red;'>No products found matching the keyword '<strong>" . htmlspecialchars($keyword) . "</strong>'.</p>";
}
?>
