<?php
include('mysqli_connect.php');

// Check if the 'type' parameter exists and is not empty
if (!isset($_GET['type']) || trim($_GET['type']) === '') {
    echo "<p style='color: red;'>Please specify a category to search for products.</p>";
    exit();
}

// Get and sanitize the category type from the URL parameter
$category = mysqli_real_escape_string($dbc, trim($_GET['type']));

// Query to fetch products matching the specified category
$query = "SELECT * FROM product WHERE category = '$category'";

// Execute the query and store the result
$result = mysqli_query($dbc, $query);

// Check if any products were found: Reference: https://www.php.net/manual/en/mysqli-result.num-rows.php
if (mysqli_num_rows($result) > 0) {
    echo "<div style='display: flex; flex-direction: column; gap: 20px; background-color: #f5f5f5; padding: 20px;'>";

    // Loop through each row in the query result
    while ($row = mysqli_fetch_assoc($result)) {
        echo "<div style='display: flex; align-items: center; gap: 20px; border: 1px solid #ccc; padding: 15px; background-color: #ffffff;'>";
        
        // Display the product's image
        echo "<div>";
        echo "<img src='" . htmlspecialchars($row['image_url']) . "' alt='" . htmlspecialchars($row['name']) . "' style='width: 400px; height: 300px; margin-right: 20px;'>";
        echo "</div>";
        
        // Display the product's details
        echo "<div>";
        echo "<h3 style='margin: 0;'>" . htmlspecialchars($row['name']) . "</h3>";
        echo "<p><strong>Category:</strong> " . htmlspecialchars($row['category']) . "</p>";
        echo "<p><strong>Price:</strong> $" . htmlspecialchars($row['price']) . "</p>";
        echo "<p><strong>Quantity:</strong> " . htmlspecialchars($row['quantity']) . "</p>";
        echo "<p><strong>Description:</strong> " . htmlspecialchars($row['description']) . "</p>";
        echo "</div>";

        echo "</div>"; // Close product container
    }

    echo "</div>"; // Close main container
} else {
    // Display a message if no products are found
    echo "<p style='color: red;'>No products found for the category '<strong>" . htmlspecialchars($category) . "</strong>'.</p>";
}
?>

