<?php

session_start();

include('mysqli_connect.php');

// Check if the user is logged in and is an admin
if (!isset($_SESSION['username']) || !isset($_SESSION['is_admin']) || $_SESSION['is_admin'] != 1) {
    // Redirect unauthorized users to the login page
    header("Location: login_form.php?error=unauthorized");
    exit();
}

// Store the username in a variable for safe use in HTML
$username = htmlspecialchars($_SESSION['username']);
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Admin Dashboard</title>
    <style>
        body {
            background-image: url('images/bacon_chevy.jpeg');
            background-size: cover;
            background-repeat: no-repeat;
            background-attachment: fixed;
        }
        .logout-button {
            display: inline-block;
            padding: 10px 20px;
            font-size: 16px;
            color: white;
            background-color: #007BFF;
            border: none;
            border-radius: 5px;
            text-decoration: none;
            cursor: pointer;
            text-align: center;
        }
        .logout-button:hover {
            background-color: #0056b3;
        }
    </style>
</head>
<body>
    <h1>Welcome, Admin <?php echo $username; ?>!</h1>
    <p>This is the admin dashboard.</p>

    <ul>
        <li><a href="handle_admin_add_new_product.php">Add New Product</a></li>
        <li><a href="admin_view_all_users.php">View All Users</a></li>
    </ul>

    <a href="logout.php" class="logout-button">Logout</a>
</body>
</html>